import request from '@/utils/request'

// 查询超级管理员列表
export function listSuperadmin(query) {
  return request({
    url: '/jarvis/superadmin/list',
    method: 'get',
    params: query
  })
}

// 查询超级管理员详细
export function getSuperadmin(id) {
  return request({
    url: '/jarvis/superadmin/' + id,
    method: 'get'
  })
}

// 新增超级管理员
export function addSuperadmin(data) {
  return request({
    url: '/jarvis/superadmin',
    method: 'post',
    data: data
  })
}

// 修改超级管理员
export function updateSuperadmin(data) {
  return request({
    url: '/jarvis/superadmin',
    method: 'put',
    data: data
  })
}

// 删除超级管理员
export function delSuperadmin(id) {
  return request({
    url: '/jarvis/superadmin/' + id,
    method: 'delete'
  })
}

// 获取管理员下拉数据
export function getAdminSelectData() {
  return request({
    url: '/jarvis/superadmin/select/adminUnionId',
    method: 'get'
  })
} 